Bug 343431 - multiarch conflicts in WindowMaker
multiarch conflicts in WindowMaker
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: WindowMaker (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:59 EDT by Bill Nottingham
Modified: 2014-03-16 23:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-09 12:37:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:59:22 EDT
WindowMaker (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/bin/get-wutil-flags from install of WindowMaker-devel-0.92.0-14.fc8 conflicts with file from package WindowMaker-devel-0.92.0-14.fc8
  file /usr/bin/get-wings-flags from install of WINGs-devel-0.92.0-14.fc8 conflicts with file from package WINGs-devel-0.92.0-14.fc8
  file /usr/bin/get-wraster-flags from install of WINGs-devel-0.92.0-14.fc8 conflicts with file from package WINGs-devel-0.92.0-14.fc8

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Fedora Update System 2007-12-10 15:43:05 EST
WindowMaker-0.92.0-15.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update WindowMaker'
Comment 2 Fedora Update System 2007-12-20 15:14:13 EST
WindowMaker-0.92.0-15.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Patrice Dumas 2007-12-20 19:13:14 EST
The fix has broken the scripts. Seems to me that a . is missing in
the sed substitution, maybe should be:

sed -i -e 's:^WLFLAGS[\w="].*::' \
Comment 4 Andreas Bierfert 2007-12-20 19:32:41 EST
Really? Hm... interesting I tested it here prior to applying it. Will take a
look and push an upgrade asap.

Note You need to log in before you can comment on or make changes to this bug.